@font-face {
  font-family: "Proxima-Nova";
  font-weight: normal;

  src: url("../fonts/Proxima-Nova-Regular.otf") format("opentype");
}

@font-face {
  font-family: "Proxima-Nova";
  font-weight: normal;

  src: url("../fonts/Proxima-Nova-Regular.otf") format("opentype");
}

*,
*::after,
*::before {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin: 0px;
  padding: 0px;

  -webkit-text-size-adjust: 100%;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0) !important;
          tap-highlight-color: rgba(0, 0, 0, 0) !important;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

*:focus {
  outline: 0px;
}

html,
body {
  min-width: 320px;
  min-height: 100%;
  min-height: 100%;

  font-family: "Proxima-Nova", "Open Sans", Arial, Helvetica, sans-serif;
  font-size: 62.5%;
  font-weight: normal;

  color: #656b6c;
}

body {
  overflow-x: hidden;

  height: 1800px;
  min-height: 100%;

  background-color: white;
}

::-moz-selection {
  color: black;
  background-color: rgba(192, 214, 209, 0.85);
}

::selection {
  color: black;
  background-color: rgba(192, 214, 209, 0.85);
}

a {
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0px 10px;

  font-weight: normal;

  text-align: center;
}

strong {
  font-weight: 600;
}

#main-header {
  width: 100%;
  height: 650px;

  background-image: url("../images/header-background.jpg");
}

#main-header #logo {
  display: block;

  position: relative;
  left: 40px;

  width: 225px;
  height: auto;
  margin: 0px auto;
  padding-top: 60px;
}

#main-header #logo-text {
  margin: 0px auto;
  margin-top: -35px;

  font-family: "Open Sans", "Proxima-Nova", sans-serif;
  font-size: 5.5rem;
  font-weight: bold;

  text-align: center;
  text-align: center;

  color: #edc218;
}

#main-header #logo-text .color-red {
  color: #f1547c;
}

#main-header h1 {
  font-size: 2.2rem;

  color: white;
}

#search-window {
  position: relative;

  width: 990px;
  height: 450px;
  margin: 0px auto;
  margin-top: 85px;
  padding-top: 55px;

  border-radius: 10px;
  background-color: white;
  box-shadow: 0px 10px 15px rgba(0,0,0,0.1);
}

#search-window .search-dest-wrapper {
  height: 80px;
  margin: 0px 147px;
}

#search-window #from-dest,
#search-window #to-dest {
  float: left;

  position: relative;

  width: 275px;
  height: 80px;
}

#search-window #switch-dest {
  float: left;

  width: 145px;
  height: 80px;

  cursor: pointer;

  background: white url("../images/icons/icon-switch.svg") center center no-repeat;
}

#search-window #switch-dest.clicked {
  transition: all 0.4s;
  transform: rotateX(360deg);
}

#search-window #from-dest input,
#search-window #to-dest input {
  width: 100%;
  height: 100%;

  font-size: 3rem;
  font-weight: bold;

  text-align: center;

  color: #565656;
  border: none;
  border-bottom: 1px solid #cccad8;
}

#search-window #from-dest #inp-from:hover,
#search-window #to-dest #inp-to:hover {
  border-bottom: 1px solid #565656;
}

#search-window #from-dest label,
#search-window #to-dest label {
  position: absolute;
  top: -13px;
  left: 32px;

  font-family: "Open Sans", "Proxima-Nova", sans-serif;
  font-size: 2rem;
  font-weight: bold;

  cursor: pointer;

  color: #e54368;

  z-index: 10;
}

.search-options-wrapper {
  width: 830px;
  height: 80px;
  margin: 0px auto;
  margin-top: 60px;
  margin-top: 60px;
}

.search-options-wrapper #departure,
.search-options-wrapper #passenger,
.search-options-wrapper #oth-options {
  float: left;

  width: 33%;
  height: 100%;
}

.search-options-wrapper #passenger,
.search-options-wrapper #oth-options {
  padding-left: 70px;
}


.search-options-wrapper .icon-calendar,
.search-options-wrapper .icon-passenger,
.search-options-wrapper .icon-puzzle {
  float: left;

  width: 70px;
  height: 100%;
  margin-right: 20px;
}

.search-options-wrapper .icon-calendar {
  background: white url("../images/icons/icon-calendar.svg") center left no-repeat;
}

.search-options-wrapper .icon-passenger {
  background: white url("../images/icons/icon-passenger.svg") center left no-repeat;
}

.search-options-wrapper .icon-puzzle {
  background: white url("../images/icons/icon-puzzle.svg") center left no-repeat;
}

.input-wrapper.first {
  margin-top: 18px;
}

.search-options-wrapper label,
.search-options-wrapper a {
  float: left;

  width: 60px;
  height: 24px;

  font-size: 1.85rem;
  font-weight: bold;

  cursor: pointer;

  color: #565656;
}

.search-options-wrapper input {
  float: right;

  width: 110px;
  height: 24px;

  font-family: "Proxima-Nova", "Open Sans", Arial, Helvetica, sans-serif;
  font-size: 1.85rem;

  cursor: pointer;

  border: none;
}

.search-options-wrapper #passenger label,
.search-options-wrapper #passenger input {
  float: none;
}

#flight-type {
  margin-top: 30px;

  font-size: 2rem;

  text-align: center;
}

#flight-type label {
  margin: 0px 6px;
  transition: all 0.25s;
  cursor: pointer;
}

#flight-type label:hover {
  color: #e54368;
}

#flight-type #inp-single {
  margin-left: 50px;
}

#search-btn,
#search-btn:visited,
#search-btn:link {
  display: block;

  width: 220px;
  height: 60px;
  margin: 0px auto;
  margin-top: 20px;

  font-size: 2rem;
  font-weight: bold;
  line-height: 6rem;

  transition: all 0.3s;
  text-align: center;

  color: white;
  border-radius: 30px;
  background-color: #e54368;
  box-shadow: 0px 5px 14px 2px rgba(229, 67, 104, 0.35);
}

#search-btn:hover {
  background-color: #cb3e5e;
  box-shadow: 0px 7px 18px 2px rgba(229, 67, 104, 0.6);
}

#search-btn:active {
  transform: scale(0.95);
}

input[type=radio],
input[type=checkbox] {
  display: none;
}

input[type=radio] + label:before {
  display: inline-block;

  width: 25px;
  height: 25px;
  margin-right: 8px;

  content: "";
  cursor: pointer;
  vertical-align: middle;

  border-radius: 50%;
  background-color: #d9d9e1;
}

input[type=radio]:checked + label:before {
  font-size: 6.5rem;
  line-height: 17px;

  content: "\2022";
  cursor: pointer;
  text-align: center;

  color: #494657;
  background-color: #d9d9e1;
}

#main-content {
  padding-top: 230px;
}

#main-content h1 {
  font-family: "Open Sans", "Proxima-Nova", sans-serif;
  font-size: 3rem;
  font-weight: bold;
}

#main-content h2 {
  margin-top: 10px;
  margin-bottom: 40px;

  font-size: 2rem;
}

.illu-photos-wrapper {
  width: 1240px;
  height: 450px;
  margin: 0px auto;
}

.illu-photos-wrapper > div {
  float: left;

  margin: 15px;
}

.illu-photos-wrapper img {
  width: 100%;
  height: 100%;
  box-shadow: 0px 5px 18px rgba(0,0,0,0.1);
}

.illu-photos-wrapper .explore-dest {
  width: 380px;
  height: 210px;

  background: #3d394a url("../images/icons/plus.svg") center 45px no-repeat;
  background-size: 75px 75px;
}

.overlay-explore {
  position: absolute;
  top: 65%;
  left: 50%;

  width: 100%;

  font-size: 2rem;

  transform: translateX(-50%);
  text-align: center;

  color: #d9d9e1;
}

.photo-wrapper {
  position: relative;
}

.photo-wrapper .overlay {
  position: absolute;
  top: 0px;
  left: 0px;

  margin: 20px;
  z-index: 10;
}

.photo-wrapper .overlay.newyork {
  top: 70px;
}

.photo-wrapper .overlay .city {
  margin: 0px;

  font-family: "Open Sans", "Proxima-Nova", sans-serif;
  font-size: 5rem;
  font-weight: bold;

  color: white;
  text-shadow: 0px 3px 28px rgba(0, 0, 0, 0.75);
}

.photo-wrapper .overlay .desc {
  margin: 0px;

  font-size: 2.5rem;

  color: white;
  text-shadow: 0px 3px 15px rgba(0, 0, 0, 0.75);
}

.cleaner {
  clear: both;
}

.line {
  max-width: 1380px;
  height: 2px;
  margin: 45px auto;

  border-bottom: 1px solid #dad9e1;
}

/*** RESPONSIVE DESIGN ***/

@media (max-width: 1280px) {
  #main-header #logo {
    width: 150px;
  }

  #search-window {
    margin-top: 30px;
    z-index: 1000;
  }

  .illu-photos-wrapper {
    width: 870px;
    height: 341px;
  }
  .illu-photos-wrapper > div,
  .illu-photos-wrapper .explore-dest {
    width: 260px;
    height: auto;
  }
  .illu-photos-wrapper .explore-dest {
    height: 144px;
  }

  .photo-wrapper .overlay .city {
    font-size: 3.5rem;
  }

  .photo-wrapper .overlay .desc {
    font-size: 2rem;
  }

  .photo-wrapper .overlay.newyork {
    top: 32px;
  }

  .illu-photos-wrapper .explore-dest {
    background: #3d394a url("../images/icons/plus.svg") center 36px no-repeat;
    background-size: 45px 45px;
  }

  #main-content {
    padding-top: 150px;
  }
}

@media (max-width: 1050px) {
  #search-window,
  .search-options-wrapper {
    width: 760px;
  }

  #search-window .search-dest-wrapper {
    margin: 0px 40px;
  }

  #search-window #from-dest,
  #search-window #to-dest {
    width: 265px;
  }

  .search-options-wrapper #passenger,
  .search-options-wrapper #oth-options {
    width: 25%;
    padding: 0px;
  }

  .search-options-wrapper .icon-calendar,
  .search-options-wrapper .icon-passenger,
  .search-options-wrapper .icon-puzzle {
    width: 50px;

    background-size: 50px 50px;
  }

  .search-options-wrapper #passenger {
    width: 25%;
  }

  .search-options-wrapper #departure {
    margin-left: 36px;
  }
}

@media (max-width: 800px) {
  #search-window,
  .search-options-wrapper {
    width: 95%;
  }

  #search-window {
    padding-bottom: 40px;
  }

  .search-options-wrapper #departure,
  .search-options-wrapper #passenger,
  .search-options-wrapper #oth-options {
    float: none;
  }

  #search-window,
  .search-options-wrapper {
    height: initial;
  }

  .search-options-wrapper #departure,
  .search-options-wrapper #passenger,
  .search-options-wrapper #oth-options {
    height: 50px;
  }

  #search-window #from-dest,
  #search-window #to-dest,
  #search-window #switch-dest {
    float: none;

    width: 100%;
  }

  .search-options-wrapper #departure,
  .search-options-wrapper #passenger,
  .search-options-wrapper #oth-options {
    margin: 30px 110px;
  }

  #search-window .search-dest-wrapper {
    height: initial;
  }

  #main-content {
    padding-top: 500px;
  }

  .search-options-wrapper #departure,
  .search-options-wrapper #passenger,
  .search-options-wrapper #oth-options {
    width: 260px;
    margin: 30px auto;
  }

  .search-options-wrapper input {
    float: none;
  }

  #search-btn,
  #search-btn:visited,
  #search-btn:link {
    margin-top: 35px;
  }

  .photo-wrapper.egypt-clear {
    clear: left;
  }

  .illu-photos-wrapper {
    width: 580px;
    height: initial;
  }
}

@media (max-width: 580px) {
  #flight-type label {
    display: block;

    width: 250px;
    margin: 5px auto;

    text-align: left;
  }

  #main-content {
    padding-top: 550px;
  }

  .search-options-wrapper label,
  .search-options-wrapper a,
  .search-options-wrapper input,
  #flight-type {
    font-size: 2.2rem;
  }

  .search-options-wrapper #departure input {
    margin-left: 15px;
  }

  .illu-photos-wrapper {
    width: initial;
  }

  .illu-photos-wrapper > div {
    float: none;

    margin: 10px auto;
  }
}
